org.springframework.data.history

## Enum RevisionMetadata.RevisionType

- java.lang.Object
- - java.lang.Enum<RevisionMetadata.RevisionType>
  - - org.springframework.data.history.RevisionMetadata.RevisionType

All Implemented Interfaces:
  Serializable, Comparable<RevisionMetadata.RevisionType>

Enclosing interface:
  RevisionMetadata<N extends Number & Comparable<N>>

    public static enum RevisionMetadata.RevisionType
    extends Enum<RevisionMetadata.RevisionType>

The type of a `Revision`.

Since:
  2.2.0
Author:
  Jens Schauder

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DELETE` Deletion of an instance
`INSERT` Creation of an instance
`UNKNOWN` Fallback if the type of a revision cannot be determined.
`UPDATE` Change of an instance

### Method Summary

All Methods Static Methods Concrete Methods
`static RevisionMetadata.RevisionType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RevisionMetadata.RevisionType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN

    public static final RevisionMetadata.RevisionType UNKNOWN

Fallback if the type of a revision cannot be determined.

#### INSERT

    public static final RevisionMetadata.RevisionType INSERT

Creation of an instance

#### UPDATE

    public static final RevisionMetadata.RevisionType UPDATE

Change of an instance

#### DELETE

    public static final RevisionMetadata.RevisionType DELETE

Deletion of an instance

### Method Detail

#### values

    public static RevisionMetadata.RevisionType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RevisionMetadata.RevisionType c : RevisionMetadata.RevisionType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RevisionMetadata.RevisionType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null